### Method

# Gegl Randomint

#### Declaration [src]

    guint32
    gegl_random_int (
      const GeglRandom* rand,
      gint x,
      gint y,
      gint z,
      gint n
    )

#### Description [src]

Return a random integer number in range 0 .. MAX_UINT.

#### Parameters

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

`z`

  Type: `gint`

  Z coordinate (mipmap level).

`n`

  Type: `gint`

  Number no (each x,y coordinate provides its own sequence of numbers.

#### Return value

Type: `guint32`

No description available.